Vehicle Specifications (VIN decoder)
Decode a 17-character VIN and return detailed vehicle specifications, including attributes, colors, equipment and warranties. If the VIN cannot be decoded, an International VIN decoding check is run as a fallback unless `disableIntVINDecoding=1` is set.
Decode a 17-character VIN and return detailed vehicle specifications,
including attributes, colors, equipment and warranties. If the VIN
cannot be decoded, an International VIN decoding check is run as a
fallback unless disableIntVINDecoding=1 is set.
Authorization
ApiKeyQuery Your CarsXE API key, passed as the key query parameter.
In: query
Query Parameters
The 17 character long vehicle identification number.
The format of the response. One of json or xml.
Request extra data. Set to 1 to use. Significantly slower than the regular request but retrieves additional data.
Set to 1 to disable the International VIN decoding fallback and return an error instead of a potential partial response.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -G https://api.carsxe.com/specs \ -d key=CARSXE_API_KEY \ -d vin=WBAFR7C57CC811956{
"success": true,
"input": {
"key": "API_KEY",
"vin": "WBAFR7C57CC811956"
},
"attributes": {
"year": "2012",
"make": "BMW",
"model": "5-Series",
"trim": "535i",
"style": "SEDAN 4-DR",
"type": "Sedan/Saloon",
"made_in": "GERMANY",
"doors": "4",
"fuel_type": "Gasoline",
"engine": "3.0L L6 DOHC 24V",
"engine_cylinders": "6",
"transmission": "6-Speed Manual | 8-Speed Automatic",
"drivetrain": "RWD"
},
"colors": [
{
"category": "Interior",
"name": "Black Dakota Leather Interior"
},
{
"category": "Exterior",
"name": "Alpine White"
}
],
"equipment": {
"abs_brakes": "Std.",
"air_conditioning": "Std."
},
"warranties": [
{
"type": "Basic",
"miles": "50,000 mile",
"months": "48 month"
}
],
"timestamp": "2025-10-01T22:40:36.374Z"
}{
"success": false,
"message": "Missing vin (vehicle identification number)"
}{
"success": false,
"message": "Missing API key"
}{
"success": false,
"message": "No data found for this VIN. Try a deep search by setting deepdata=1 in your request"
}{
"success": false,
"message": "API usage limit exceeded",
"usage": {
"current": 1000,
"limit": 1000,
"remaining": 0
}
}{
"success": false,
"message": "Internal server error"
}